package io.quicktype;

import com.fasterxml.jackson.annotation.*;

public class EnvelopeT {
    private PayloadT1 data;
    private String[] dst;
    private String id;
    private String src;
    private double t;
    private double ttl;
    private V v;

    @JsonProperty("data")
    public PayloadT1 getData() { return data; }
    @JsonProperty("data")
    public void setData(PayloadT1 value) { this.data = value; }

    @JsonProperty("dst")
    public String[] getDst() { return dst; }
    @JsonProperty("dst")
    public void setDst(String[] value) { this.dst = value; }

    @JsonProperty("id")
    public String getID() { return id; }
    @JsonProperty("id")
    public void setID(String value) { this.id = value; }

    @JsonProperty("src")
    public String getSrc() { return src; }
    @JsonProperty("src")
    public void setSrc(String value) { this.src = value; }

    @JsonProperty("t")
    public double getT() { return t; }
    @JsonProperty("t")
    public void setT(double value) { this.t = value; }

    @JsonProperty("ttl")
    public double getTTL() { return ttl; }
    @JsonProperty("ttl")
    public void setTTL(double value) { this.ttl = value; }

    @JsonProperty("v")
    public V getV() { return v; }
    @JsonProperty("v")
    public void setV(V value) { this.v = value; }
}
